Usages

List Usage Records

List usage records

get
/v1/usage/list

Authorization

ChatBotKit API Secret * Required

HTTP Authorization Scheme: bearer

Path Parameters

cursorstring

The cursor to use for pagination

orderstring

The order of the paginated items

takeinteger

The number of items to retrieve

metaobject

Key-value pairs to filter usage records by metadata

import { ChatBotKit } from '@chatbotkit/sdk'

const cbk = new ChatBotKit({

secret: process.env.CHATBOTKIT_API_KEY!

})

const response = await cbk.usage.list(

)
{
"items":[
{
"name":"string",
"description":"string",
"meta":"object",
"id":"string",
"createdAt":"number",
"updatedAt":"number",
"type":"string",
"count":"integer",
"conversationId":"string",
"messageId":"string",
"taskId":"string",
"contactId":"string",
"blueprintId":"string",
"botId":"string",
"datasetId":"string",
"skillsetId":"string",
"abilityId":"string"
}
],
"cursor":"string"
}
The list of usage records was retrieved successfully